Update Client Order States
1 min
PUT
https://api.upstartcommerce.com/v1/order/client-state/batch
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyarrayThe request body must include all updated details for the client order states.
200<p>Success-Client order states updated.</p>
207<p>Partial Success - request partially processed with some errors</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403The provided credentials were not valid for this endpoint. It may be that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
500Internal server error.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/order/client-state/batch \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '[
{
"id": "",
"siteIds": []
}
]'